%define upstream_name    Struct-Dumb
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Make simple lightweight record-like structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Struct/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
'Struct::Dumb' creates record-like structure types, similar to the 'struct'
keyword in C, C++ or C#, or 'Record' in Pascal. An invocation of this
module will create a construction function which returns new object
references with the given field values. These references all respond to
lvalue methods that access or modify the values stored.

It's specifically and intentionally not meant to be an object class. You
cannot subclass it. You cannot provide additional methods. You cannot apply
roles or mixins or metaclasses or traits or antlers or whatever else is in
fashion this week.

On the other hand, it is tiny, creates cheap lightweight array-backed
structures, uses nothing outside of core. It's intended simply to be a
slightly nicer way to store data structures, where otherwise you might be
tempted to abuse a hash, complete with the risk of typoing key names. The
constructor will 'croak' if passed the wrong number of arguments, as will
attempts to refer to fields that don't exist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-2.mga6
+ Revision: 1033471
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.90.0-1.mga6
+ Revision: 989843
- update to 0.09

* Sat Jan 16 2016 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 923922
- update to 0.08

* Wed Oct 14 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 891526
- update to 0.07

* Mon Jul 13 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 853701
- update to 0.03

* Sun Oct 19 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 789941
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-3.mga5
+ Revision: 749885
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-2.mga5
+ Revision: 686262
- Mageia 5 Mass Rebuild

* Mon May 12 2014 shlomif <shlomif> 0.20.0-1.mga5
+ Revision: 622178
- imported package perl-Struct-Dumb


* Mon May 12 2014 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
